#ifndef EditorV_H
#define EditorV_H

#include <Schrift.h>
#include <MausEreignis.h>
#include <TastaturEreignis.h>
#include <Animation.h>
#include "KSGNetwork.h"

using namespace Framework;

class EditorV
{
public:
	// nicht constant
	virtual void setSchrift( Schrift *schrift ) = 0;
	virtual void setKlient( KSGClient::EditorServerClient *ekv ) = 0;
    virtual void setLadeAnimation( Animation2D *la ) = 0;
	virtual void setSichtbar() = 0;
	virtual void doMausEreignis( MausEreignis &me ) = 0;
	virtual void doTastaturEreignis( TastaturEreignis &te ) = 0;
	virtual bool tick( double z ) = 0;
	virtual void render( Bild &zRObj ) = 0;
	// constant
	virtual bool hatVerlassen( bool jetzt ) const = 0;
	// Reference Counting
	virtual EditorV *getThis() = 0;
	virtual EditorV *release() = 0;
};

#endif